/* GNU FaXile - fax image viewer
 *
 * Copyright (C) 2000 Wolfgang Sourdeau
 *
 * Author: Wolfgang Sourdeau <wolfgang@ultim.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef PRINT_H
#define PRINT_H

typedef struct _PList PList;
typedef struct _PDlgWidgets PDlgWidgets;
typedef struct _PrintData PrintData;
typedef struct _OutputData OutputData;

typedef enum
{
	PRINT_TO_FILE = 0,
	PRINT_TO_PRINTER = 1
} PrintDirection;

struct _PList
{
	int active;
	char name[17];
};

struct _PDlgWidgets {
	GtkWidget *print_window;
	GtkWidget *printer_rb, *printer_opt_menu, *printer_cmd_en;
	GtkWidget *file_rb, *output_file_en;
	GtkWidget *all_pages_rb, *cur_page_rb;
	GtkWidget *from_to_rb, *from_sp_but, *to_sp_but;
};

struct _PrintData
{
	gchar *printer;
	FaxFile *document;
	FaxImage *current_page;
	gint first_page, last_page;
	PDlgWidgets widgets;
};

struct _OutputData
{
	FILE *output_stream;
	FaxFile *document;
	gchar *out_filename;
	gint from_page, to_page;
	GtkWidget *print_dlg, *err_dlg;
};

#endif
